summaryrefslogtreecommitdiff
path: root/packages/pmacct
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2005-06-30 08:19:37 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-06-30 08:19:37 +0000
commitc8e5702127e507e82e6f68a4b8c546803accea9d (patch)
tree00583491f40ecc640f2b28452af995e3a63a09d7 /packages/pmacct
parent87ec8ca4d2e2eb4d1c1e1e1a6b46a395d56805b9 (diff)
import clean BK tree at cset 1.3670
Diffstat (limited to 'packages/pmacct')
-rw-r--r--packages/pmacct/.mtn2git_empty0
-rw-r--r--packages/pmacct/files/.mtn2git_empty0
-rw-r--r--packages/pmacct/files/pmacct.conf.eth011
-rw-r--r--packages/pmacct/files/pmacct.init39
4 files changed, 50 insertions, 0 deletions
diff --git a/packages/pmacct/.mtn2git_empty b/packages/pmacct/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/pmacct/.mtn2git_empty
diff --git a/packages/pmacct/files/.mtn2git_empty b/packages/pmacct/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/pmacct/files/.mtn2git_empty
diff --git a/packages/pmacct/files/pmacct.conf.eth0 b/packages/pmacct/files/pmacct.conf.eth0
index e69de29bb2..12e00ebe1c 100644
--- a/packages/pmacct/files/pmacct.conf.eth0
+++ b/packages/pmacct/files/pmacct.conf.eth0
@@ -0,0 +1,11 @@
+!
+! pmacctd configuration for eth0
+!
+promisc: false
+interface: eth0
+daemonize: true
+aggregate[in]: dst_host
+aggregate[out]: src_host
+plugins: memory[in], memory[out]
+imt_path[in]: /var/run/pmacct-eth0-in.pipe
+imt_path[out]: /var/run/pmacct-eth0-out.pipe \ No newline at end of file
diff --git a/packages/pmacct/files/pmacct.init b/packages/pmacct/files/pmacct.init
index e69de29bb2..fe72bb8d15 100644
--- a/packages/pmacct/files/pmacct.init
+++ b/packages/pmacct/files/pmacct.init
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+IFACES="eth0"
+PIPES="in out"
+
+case "$1" in
+ start)
+ echo -n "Starting pmacct daemon"
+ for iface in $IFACES; do
+ pmacctd -f /etc/pmacct/pmacct.conf.$iface
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping pmacct daemon"
+ killall -INT pmacctd
+ echo "."
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ show)
+ for iface in $IFACES; do
+ echo "= $iface ======================="
+ for pipe in $PIPES; do
+ echo "- $pipe -----------------------"
+ pmacct -s -p /var/run/pmacct-$iface-$pipe.pipe
+ done
+ done
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|show}"
+ exit 1
+ ;;
+esac
+
+exit 0 \ No newline at end of file